%define netcdfversion 4.2
%define netcdfnumversion %(echo %{netcdfversion} | tr -d .)

%{!?hdf5version: %define hdf5version 1.8.8}
%define hdf5numversion %(echo %{hdf5version} | tr -d .)

# compiler for which we are doing this
%{!?compiler: %define compiler gcc}
%{!?compilermajor: %define compilermajor 12}
%{!?compilerminor: %define compilerminor 1}
%{!?openmpiversion: %define openmpiversion 1.4.5}
%define openmpinumversion %( printf "%02d%02d%02d" `echo %{openmpiversion} | cut -d. -f1,2,3 --output-delimiter=" "` )
%define compilerrname %{compiler}%{compilerversionnum}

# deployment plan:
# top dir /usr/local/netcdf/
#                        /gcc/hdf-1.8.8/4.2
#                        /gcc/hdf-1.8.8/openmpi-1.5.4/4.2
#                        /intel-12.1/hdf-1.8.8/4.2
#                        /intel-12.1/hdf-1.8.8/openmpi-1.5.4/4.2
%define localdir /usr/local/netcdf/%{compilerlong}/hdf5-%{hdf5version}/%{netcdfversion}
%define localdiropenmpi /usr/local/netcdf/%{compilerlong}/hdf5-%{hdf5version}/openmpi-%{openmpiversion}/%{netcdfversion}
%define localdirmpt /usr/local/netcdf/%{compilerlong}/hdf5-%{hdf5version}/mpt/%{netcdfversion}
%define localdirimpi /usr/local/netcdf/%{compilerlong}/hdf5-%{hdf5version}/intel-mpi/%{netcdfversion}

# now, depending on the compiler we need different things - place them all here for eacy access/changing
#
# GCC Compiler
%if "%{compiler}" == "gcc"
# do nothing special for gcc for build prep
%define compilerbuildprep export F77=gfortran FC=gfortran
# no alias
%define modulefile_compiler_alias %{nil}
%define compilershort gcc
%define compilerlong gcc
%define compilerversionnum 446
%define compilerrname gcc
%define modulempt mpt
%endif
#
# Intel compiler
%if "%{compiler}" == "intel"
# these two are used to decide which version of intel we will be using to build it all
# and which version we will be providing
%define intelminrelease 6
%define compilerversion %{compilermajor}.%{compilerminor}
%define compilerversionnum %{compilermajor}%{compilerminor}
# for intel we need to just specify our compilers
%if 0%{?rhel} > 5
%define compilerbuildprep export CC=icc CXX=icpc F77=ifort FC=ifort F90=ifort CPP="icc -E" CXXCPP="icpc -E" LDFLAGS="-Wl,--build-id"; module load intel
%else
%define compilerbuildprep export CC=icc CXX=icpc F9X=ifort FC=ifort F90=ifort CPP="icc -E" CXXCPP="icpc -E"; module load intel
%endif
%define optflags -O3 -ip -no-prec-div
# the following is used in above
%define compilershort intel-%{compilermajor}
%define compilerlong intel-%{compilerversion}
%define modulempt mpt/intel-%{compilerversion}
%endif

%define compilerruntime BuildRequires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-devel \
Requires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}
%define compilerruntimeopenmpi BuildRequires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-openmpi%{openmpinumversion}-devel openmpi-%{compilerrname}-devel = %{openmpiversion} \
Requires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-openmpi%{openmpinumversion}
%define compilerruntimempt BuildRequires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-mpt-devel \
Requires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-mpt
%define compilerruntimeimpi BuildRequires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-impi-devel \
Requires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-impi
%define compilerdevel Requires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-devel
%define compilerdevelopenmpi Requires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-openmpi%{openmpinumversion}-devel
%define compilerdevelmpt Requires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-mpt-devel
%define compilerdevelimpi Requires: netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-impi-devel

%ifarch %{ix86}
%define bits 32
%else
%define bits 64
%endif

%define with_serial %{?_without_serial: 0}%{?!_without_serial: 1}
%global with_mpich2 0
%define with_openmpi %{?_without_openmpi: 0}%{?!_without_openmpi: 1}
%define with_impi %{?_without_impi: 0}%{?!_without_impi: 1}
%if 0%{?rhel} == 5
%define with_mpt  %{?_with_mpt: 1}%{?!_with_mpt: 0}
%else
%define with_mpt  %{?_without_mpt: 0}%{?!_without_mpt: 1}
%endif

%if %{with_mpich2}
%global mpi_list mpich2
%endif
%if %{with_openmpi}
%global mpi_list %{?mpi_list} openmpi
%endif
%if %{with_mpt}
%global mpi_list %{?mpi_list} mpt
%endif
%if %{with_impi}
%global mpi_list %{?mpi_list} impi
%endif
%if %{with_serial}
%global mpi_list %{?mpi_list} serial
%endif

Name:           netcdf%{netcdfnumversion}-%{compilerrname}-hdf5-%{hdf5numversion}-nco
Version:        4.2.5
Release:        1%{?dist}
Summary:        Suite of programs for manipulating NetCDF/HDF4 files
Group:          Applications/Engineering
License:        GPLv3
URL:            http://nco.sourceforge.net/

Source0:        http://nco.sourceforge.net/src/nco-%{version}.tar.gz
Patch0:         nco-4.0.3-install_C_headers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison, flex, gawk
# Need to have the netcdf NOFILL bug fixed
%{compilerruntime}
%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRequires:  libnc-dap-devel
%endif
BuildRequires:  udunits2-devel
%if 0%{?fedora} >= 14
BuildRequires:  antlr-C++
%else
BuildRequires:  antlr
%endif
BuildRequires:  gsl-devel
BuildRequires:  texinfo-tex texinfo

%package devel
Summary:        Development files for NCO
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
%{compilerdevel}

%package static
Summary:        Static libraries for NCO
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}

%description
The netCDF Operators, NCO, are a suite of command line programs known
as operators.  The operators facilitate manipulation and analysis of
self-describing data stored in the freely available netCDF and HDF
formats (http://www.unidata.ucar.edu/packages/netcdf and
http://hdf.ncsa.uiuc.edu, respectively).  Each NCO operator (e.g.,
ncks) takes netCDF or HDF input file(s), performs an operation (e.g.,
averaging, hyperslabbing, or renaming), and outputs a processed netCDF
file.  Although most users of netCDF and HDF data are involved in
scientific research, these data formats, and thus NCO, are generic and
are equally useful in fields from agriculture to zoology.  The NCO
User's Guide illustrates NCO use with examples from the field of
climate modeling and analysis.  The NCO homepage is
http://nco.sourceforge.net/.

%description devel
This package contains the NCO header and development files.

%description static
This package contains the NCO static libs.

%if %{with_mpich2}
%package mpich2
Summary:        Suite of programs for manipulating NetCDF/HDF4 files built with mpich2
Group:          Applications/Engineering
Requires:	mpich2
BuildRequires:	mpich2-devel

%package mpich2-devel
Summary:        Development files for NCO built with mpich2
Group:          Development/Libraries
Requires:       %{name}-mpich2 = %{version}-%{release}
%{compilerdevel}

%package mpich2-static
Summary:        Static libraries for NCO built with mpich2
Group:          Development/Libraries
Requires:       %{name}-mpich2-devel = %{version}-%{release}

%description mpich2
The netCDF Operators, NCO, are a suite of command line programs known
as operators.  The operators facilitate manipulation and analysis of
self-describing data stored in the freely available netCDF and HDF
formats (http://www.unidata.ucar.edu/packages/netcdf and
http://hdf.ncsa.uiuc.edu, respectively).  Each NCO operator (e.g.,
ncks) takes netCDF or HDF input file(s), performs an operation (e.g.,
averaging, hyperslabbing, or renaming), and outputs a processed netCDF
file.  Although most users of netCDF and HDF data are involved in
scientific research, these data formats, and thus NCO, are generic and
are equally useful in fields from agriculture to zoology.  The NCO
User's Guide illustrates NCO use with examples from the field of
climate modeling and analysis.  The NCO homepage is
http://nco.sourceforge.net/.

%description mpich2-devel
This package contains the NCO header and development files for mpich2.

%description mpich2-static
This package contains the NCO static libs for mpich2.
%endif

%if %{with_openmpi}
%package openmpi%{openmpinumversion}
Summary:        Suite of programs for manipulating NetCDF/HDF4 files built with openmpi%{openmpinumversion}
Group:          Applications/Engineering
%{compilerruntimeopenmpi}

%package openmpi%{openmpinumversion}-devel
Summary:        Development files for NCO built with openmpi%{openmpinumversion}
Group:          Development/Libraries
Requires:       %{name}-openmpi%{openmpinumversion} = %{version}-%{release}
%{compilerdevelopenmpi}

%package openmpi%{openmpinumversion}-static
Summary:        Static libraries for NCO built with openmpi%{openmpinumversion}
Group:          Development/Libraries
Requires:       %{name}-openmpi%{openmpinumversion}-devel = %{version}-%{release}

%description openmpi%{openmpinumversion}
The netCDF Operators, NCO, are a suite of command line programs known
as operators.  The operators facilitate manipulation and analysis of
self-describing data stored in the freely available netCDF and HDF
formats (http://www.unidata.ucar.edu/packages/netcdf and
http://hdf.ncsa.uiuc.edu, respectively).  Each NCO operator (e.g.,
ncks) takes netCDF or HDF input file(s), performs an operation (e.g.,
averaging, hyperslabbing, or renaming), and outputs a processed netCDF
file.  Although most users of netCDF and HDF data are involved in
scientific research, these data formats, and thus NCO, are generic and
are equally useful in fields from agriculture to zoology.  The NCO
User's Guide illustrates NCO use with examples from the field of
climate modeling and analysis.  The NCO homepage is
http://nco.sourceforge.net/.

%description openmpi%{openmpinumversion}-devel
This package contains the NCO header and development files for openmpi%{openmpinumversion}

%description openmpi%{openmpinumversion}-static
This package contains the NCO static libs for openmpi%{openmpinumversion}.
%endif

%if %{with_mpt}
%package mpt
Summary:        Suite of programs for manipulating NetCDF/HDF4 files built with mpt
Group:          Applications/Engineering
%{compilerruntimempt}

%package mpt-devel
Summary:        Development files for NCO built with mpt
Group:          Development/Libraries
Requires:       %{name}-mpt = %{version}-%{release}
%{compilerdevelmpt}

%package mpt-static
Summary:        Static libraries for NCO built with mpt
Group:          Development/Libraries
Requires:       %{name}-mpt-devel = %{version}-%{release}

%description mpt
The netCDF Operators, NCO, are a suite of command line programs known
as operators.  The operators facilitate manipulation and analysis of
self-describing data stored in the freely available netCDF and HDF
formats (http://www.unidata.ucar.edu/packages/netcdf and
http://hdf.ncsa.uiuc.edu, respectively).  Each NCO operator (e.g.,
ncks) takes netCDF or HDF input file(s), performs an operation (e.g.,
averaging, hyperslabbing, or renaming), and outputs a processed netCDF
file.  Although most users of netCDF and HDF data are involved in
scientific research, these data formats, and thus NCO, are generic and
are equally useful in fields from agriculture to zoology.  The NCO
User's Guide illustrates NCO use with examples from the field of
climate modeling and analysis.  The NCO homepage is
http://nco.sourceforge.net/.

%description mpt-devel
This package contains the NCO header and development files for mpt.

%description mpt-static
This package contains the NCO static libs for mpt.
%endif

%if %{with_impi}
%package impi
Summary:        Suite of programs for manipulating NetCDF/HDF4 files built with impi
Group:          Applications/Engineering
%{compilerruntimeimpi}

%package impi-devel
Summary:        Development files for NCO built with impi
Group:          Development/Libraries
Requires:       %{name}-impi = %{version}-%{release}
%{compilerdevelimpi}

%package impi-static
Summary:        Static libraries for NCO built with impi
Group:          Development/Libraries
Requires:       %{name}-impi-devel = %{version}-%{release}

%description impi
The netCDF Operators, NCO, are a suite of command line programs known
as operators.  The operators facilitate manipulation and analysis of
self-describing data stored in the freely available netCDF and HDF
formats (http://www.unidata.ucar.edu/packages/netcdf and
http://hdf.ncsa.uiuc.edu, respectively).  Each NCO operator (e.g.,
ncks) takes netCDF or HDF input file(s), performs an operation (e.g.,
averaging, hyperslabbing, or renaming), and outputs a processed netCDF
file.  Although most users of netCDF and HDF data are involved in
scientific research, these data formats, and thus NCO, are generic and
are equally useful in fields from agriculture to zoology.  The NCO
User's Guide illustrates NCO use with examples from the field of
climate modeling and analysis.  The NCO homepage is
http://nco.sourceforge.net/.

%description impi-devel
This package contains the NCO header and development files for impi.

%description impi-static
This package contains the NCO static libs for impi.
%endif



%prep
%setup -q -c -n nco-%{version}
cd nco-%{version}
%patch0 -p1 -b .install_C_headers
cd ..
for i in %{mpi_list}; do
        cp -ar nco-* $i
done

%build
. /etc/profile.d/modules.sh

build_one() {
pushd $1
%{compilerbuildprep}
module load $3 $4 $5
OPTS="--libdir=$2/%{_lib} \
           --bindir=$2/bin \
           --sbindir=$2/bin \
           --includedir=$2/include/nco \
           --datarootdir=$2/share \
           --infodir=$2/share/info \
           --mandir=$2/share/man"
export CPPFLAGS="-I%{_includedir}/udunits2 -DENABLE_NETCDF4 -DHAVE_NETCDF4_H"
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fpermissive -fPIC"
%configure \
  HAVE_ANTLR=yes \
  --disable-dependency-tracking --enable-netcdf4 \
  $OPTS
make %{?_smp_mflags}
pushd doc
makeinfo --html --no-split nco.texi
make nco.pdf
popd
popd
}

%if %{with_serial}
build_one serial %{localdir} hdf5/%{compiler}/%{hdf5version} netcdf/%{compilerlong}/hdf5-%{hdf5version}/%{netcdfversion}
cp -ra serial/doc .
%endif
%if %{with_openmpi}
build_one openmpi %{localdiropenmpi} openmpi/%{compiler} hdf5/%{compilerlong}/openmpi-%{openmpiversion}/%{hdf5version} netcdf/%{compilerlong}/hdf5-%{hdf5version}/openmpi-%{openmpiversion}/%{netcdfversion}
%endif
%if %{with_mpt}
build_one mpt %{localdirmpt} %{modulempt} hdf5/%{compilerlong}/mpt/%{hdf5version} netcdf/%{compilerlong}/hdf5-%{hdf5version}/mpt/%{netcdfversion}
%endif
%if %{with_impi}
build_one impi %{localdirimpi} intel-mpi/%{compiler} hdf5/%{compilerlong}/intel-mpi/%{hdf5version} netcdf/%{compilerlong}/hdf5-%{hdf5version}/intel-mpi/%{netcdfversion}
%endif


%install
rm -rf $RPM_BUILD_ROOT
. /etc/profile.d/modules.sh

install_one() {
%{compilerbuildprep}
pushd $1
module load $3 $4 $5
mkdir -p ${RPM_BUILD_ROOT}$2/include/nco
make install DESTDIR=${RPM_BUILD_ROOT}
/bin/rm ${RPM_BUILD_ROOT}$2/%{_lib}/*.la
/bin/rm -f ${RPM_BUILD_ROOT}$2/share/info/dir
popd
}

%if %{with_serial}
install_one serial %{localdir} hdf5/%{compiler}/%{hdf5version} netcdf/%{compilerlong}/hdf5-%{hdf5version}/%{version}
%endif
%if %{with_openmpi}
install_one openmpi %{localdiropenmpi} openmpi/%{compiler} hdf5/%{compilerlong}/openmpi-%{openmpiversion}/%{hdf5version} netcdf/%{compilerlong}/hdf5-%{hdf5version}/openmpi-%{openmpiversion}/%{version}
%endif
%if %{with_mpt}
install_one mpt %{localdirmpt} %{modulempt} hdf5/%{compilerlong}/mpt/%{hdf5version} netcdf/%{compilerlong}/hdf5-%{hdf5version}/mpt/%{version}
%endif
%if %{with_impi}
install_one impi %{localdirimpi} intel-mpi/%{compiler} hdf5/%{compilerlong}/intel-mpi/%{hdf5version} netcdf/%{compilerlong}/hdf5-%{hdf5version}/intel-mpi/%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with_serial}
%files
%defattr(-,root,root,-)
%doc doc/README doc/LICENSE doc/rtfm.txt doc/nco.html doc/nco.pdf doc/nco.css
%doc doc/index.shtml doc/TODO doc/ChangeLog doc/nco.png doc/nco_news.shtml
%doc doc/nsf.png
%{localdir}/bin/*
%{localdir}/share/man/*/*
%{localdir}/share/info//*
%{localdir}/%{_lib}/libnco*[0-9]*.so

%files devel
%defattr(-,root,root,-)
%{localdir}/include/nco
%{localdir}/%{_lib}/libnco.so
%{localdir}/%{_lib}/libnco_c++.so

%files static
%defattr(-,root,root,-)
%{localdir}/%{_lib}/libnco*.a
%endif

%if %{with_openmpi}
%files openmpi%{openmpinumversion}
%defattr(-,root,root,-)
%doc doc/README doc/LICENSE doc/rtfm.txt doc/nco.html doc/nco.pdf doc/nco.css
%doc doc/index.shtml doc/TODO doc/ChangeLog doc/nco.png doc/nco_news.shtml
%doc doc/nsf.png
%{localdiropenmpi}/bin/*
%{localdiropenmpi}/share/man/*/*
%{localdiropenmpi}/share/info/*
%{localdiropenmpi}/%{_lib}/libnco*[0-9]*.so

%files openmpi%{openmpinumversion}-devel
%defattr(-,root,root,-)
%{localdiropenmpi}/include/nco
%{localdiropenmpi}/%{_lib}/libnco.so
%{localdiropenmpi}/%{_lib}/libnco_c++.so

%files openmpi%{openmpinumversion}-static
%defattr(-,root,root,-)
%{localdiropenmpi}/%{_lib}/libnco*.a
%endif

%if %{with_mpt}
%files mpt
%defattr(-,root,root,-)
%doc doc/README doc/LICENSE doc/rtfm.txt doc/nco.html doc/nco.pdf doc/nco.css
%doc doc/index.shtml doc/TODO doc/ChangeLog doc/nco.png doc/nco_news.shtml
%doc doc/nsf.png
%{localdirmpt}/bin/*
%{localdirmpt}/share/man/*/*
%{localdirmpt}/share/info/*
%{localdirmpt}/%{_lib}/libnco*[0-9]*.so

%files mpt-devel
%defattr(-,root,root,-)
%{localdirmpt}/include/nco
%{localdirmpt}/%{_lib}/libnco.so
%{localdirmpt}/%{_lib}/libnco_c++.so

%files mpt-static
%defattr(-,root,root,-)
%{localdirmpt}/%{_lib}/libnco*.a
%endif

%if %{with_impi}
%files impi
%defattr(-,root,root,-)
%doc doc/README doc/LICENSE doc/rtfm.txt doc/nco.html doc/nco.pdf doc/nco.css
%doc doc/index.shtml doc/TODO doc/ChangeLog doc/nco.png doc/nco_news.shtml
%doc doc/nsf.png
%{localdirimpi}/bin/*
%{localdirimpi}/share/man/*/*
%{localdirimpi}/share/info/*
%{localdirimpi}/%{_lib}/libnco*[0-9]*.so

%files impi-devel
%defattr(-,root,root,-)
%{localdirimpi}/include/nco
%{localdirimpi}/%{_lib}/libnco.so
%{localdirimpi}/%{_lib}/libnco_c++.so

%files impi-static
%defattr(-,root,root,-)
%{localdirimpi}/%{_lib}/libnco*.a
%endif



%changelog
* Wed Jan 30 2013 - Orion Poplawski <orion@cora.nwra.com> - 4.2.5-1
- Update to 4.2.5

* Thu Nov 15 2012 - Orion Poplawski <orion@cora.nwra.com> - 4.2.3-1
- Update to 4.2.3

* Mon Oct 29 2012 - Orion Poplawski <orion@cora.nwra.com> - 4.2.2-1
- Update to 4.2.2

* Fri Aug 3 2012 - Orion Poplawski <orion@cora.nwra.com> - 4.2.1-1
- Update to 4.2.1

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 - Orion Poplawski <orion@cora.nwra.com> - 4.2.0-1
- Update to 4.2.0

* Tue Apr 3 2012 - Orion Poplawski <orion@cora.nwra.com> - 4.1.0-1
- Update to 4.1.0

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-2
- Rebuilt for c++ ABI breakage

* Tue Feb 14 2012 - Orion Poplawski <orion@cora.nwra.com> - 4.0.9-1
- Update to 4.0.9

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 23 2011 - Orion Poplawski <orion@cora.nwra.com> - 4.0.8-2
- Really enable netcdf4 support

* Tue May 17 2011 - Orion Poplawski <orion@cora.nwra.com> - 4.0.8-1
- Update to 4.0.8
- Rebuild for hdf5 1.8.7

* Wed Apr 6 2011 - Orion Poplawski <orion@cora.nwra.com> - 4.0.7-1
- Update to 4.0.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 6 2011 - Orion Poplawski <orion@cora.nwra.com> - 4.0.6-3
- Rebuild with fixed hdf5 for netcdf4 support

* Sat Feb 5 2011 - Orion Poplawski <orion@cora.nwra.com> - 4.0.6-2
- Fixup more EL5 tests

* Sat Feb 5 2011 - Orion Poplawski <orion@cora.nwra.com> - 4.0.6-1
- Update to 4.0.6
- Really only use libnc-dap for EL5

* Thu Dec 16 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.5-3
- BR antlr-C++ on Fedora 14+

* Mon Dec 13 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.5-2
- Use libnc-dap only for EL5
- Other EL5 fixes

* Fri Dec 10 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.5-1
- Update to 4.0.5

* Fri Oct 1 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.4-1
- Update to 4.0.4

* Tue Sep 7 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.3-1
- Update to 4.0.3
- Rebase install_C_headers patch

* Mon Jun 28 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.2-1
- Update to 4.0.2

* Tue Apr 20 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.1-1
- Update to 4.0.1

* Wed Jan 6 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.0-4
- Enable netcdf4 support

* Wed Jan 6 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.0-3
- Enable udunits2 support - add proper include path

* Wed Jan 6 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.0-2
- Enable udunits2 support
- Updated 4.0.0 tarball

* Wed Jan 6 2010 - Orion Poplawski <orion@cora.nwra.com> - 4.0.0-1
- Update to 4.0.0

* Thu Nov 12 2009 - Orion Poplawski <orion@cora.nwra.com> - 3.9.9-2
- Drop LIBS, linkage fixed in netcdf package

* Wed Nov 11 2009 - Orion Poplawski <orion@cora.nwra.com> - 3.9.9-1
- Update to 3.9.9
- Build against netcdf 4.1.0
- Add needed netcdf libraries to LIBS

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 30 2009 - Orion Poplawski <orion@cora.nwra.com> - 3.9.8-1
- Update to 3.9.8
- Update install headers patch

* Mon Mar 30 2009 - Orion Poplawski <orion@cora.nwra.com> - 3.9.7-2
- Drop include patch fixed in antlr 2.7.7-5

* Wed Mar 25 2009 - Orion Poplawski <orion@cora.nwra.com> - 3.9.7-1
- Update to 3.9.7 - download tarball from nco site
- Add BR on gsl-devel to enable GSL support
- Force antlr detection to override bad configure test
- Rework install_C_headers patch to not require autotool run
- Report include patch upstream

* Fri Mar 06 2009 - Caolán McNamara <caolanm@redhat.com> - 3.9.5-5
- include cstdio for EOF

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 21 2008 - Patrice Dumas <pertusus@free.fr> - 3.9.5-3
- call libtoolize
- remove unneeded dependencies on curl-devel, libxml2-devel, librx-devel
- ship more documentation

* Thu Sep 11 2008 - Patrice Dumas <pertusus@free.fr> - 3.9.5-2
- rebuild for newer libnc-dap

* Thu Jul 10 2008 - Patrice Dumas <pertusus@free.fr> - 3.9.5-1
- update to 3.9.5

* Sat Mar  1 2008 - Patrice Dumas <pertusus@free.fr> - 3.9.3-1
- update to 3.9.3
- separate static sub-package 

* Mon Aug 27 2007 - Orion Poplawski <orion@cora.nwra.com> - 3.9.1-1
- Update to 3.9.1
- Drop udunits patch no longer needed
- Add BR libnc-dap-devel to enable DAP support
- Add BR antlr
- Add BR gawk

* Sat Sep  2 2006 Ed Hill <ed@eh3.com> - 3.1.5-3
- br bison as well

* Sat Sep  2 2006 Ed Hill <ed@eh3.com> - 3.1.5-2
- buildrequire flex

* Sat Sep  2 2006 Ed Hill <ed@eh3.com> - 3.1.5-1
- new upstream 3.1.5

* Fri Apr 21 2006 Ed Hill <ed@eh3.com> - 3.1.2-1
- update to new upstream 3.1.2

* Thu Feb 16 2006 Ed Hill <ed@eh3.com> - 3.0.2-2
- rebuild for new gcc

* Mon Sep  5 2005 Ed Hill <ed@eh3.com> - 3.0.2-1
- update to new upstream 3.0.2

* Wed Aug  3 2005 Ed Hill <ed@eh3.com> - 3.0.1-4
- remove (hopefully only temporarily) opendap support

* Thu Jul 21 2005 Ed Hill <ed@eh3.com> - 3.0.1-3
- add LICENSE file

* Sat Jul  9 2005 Ed Hill <ed@eh3.com> - 3.0.1-2
- add BuildRequires: opendap-devel

* Sun Jun 19 2005 Ed Hill <ed@eh3.com> - 3.0.1-1
- update to upstream 3.0.1
- comment & fixes for BuildRequires

* Sat Apr 23 2005 Ed Hill <ed@eh3.com> - 3.0.0-2
- add BuildRequires and fix CXXFLAGS per Tom Callaway
- add udunits patch per Tom Callaway

* Sat Apr 16 2005 Ed Hill <ed@eh3.com> - 3.0.0-1
- update to ver 3.0.0
- devel package fixes per D.M. Kaplan and M. Schwendt
- fix info post/postun

* Sun Dec  5 2004 Ed Hill <eh3@mit.edu> - 0:2.9.9-0.fdr.4
- sync with netcdf-3.6.0beta6-0.fdr.0
- split into devel and non-devel

* Wed Dec  1 2004 Ed Hill <eh3@mit.edu> - 0:2.9.9-0.fdr.3
- sync with netcdf-0:3.5.1-0.fdr.11
- added '-fpermissive' for GCC 3.4.2 warnings
- added "Provides:nco-devel" for the headers and libs

* Mon Oct  4 2004 Ed Hill <eh3@mit.edu> - 0:2.9.9-0.fdr.2
- Add some of Michael Schwendt's suggested INC/LIB path fixes and 
  sync with the netcdf-3.5.1-0.fdr.10 dependency.

* Thu Sep 23 2004 Ed Hill <eh3@mit.edu> - 0:2.9.9-0.fdr.1
- add NETCDF_INC and NETCDF_LIB to work on systems where old
  versions of netcdf may exist in /usr/local

* Wed Sep  8 2004 Ed Hill <eh3@mit.edu> - 0:2.9.9-0.fdr.0
- updated to ver 2.9.9

* Sat Aug  7 2004 Ed Hill <eh3@mit.edu> - 0:2.9.8-0.fdr.0
- updated to ver 2.9.8

* Sat Jul 17 2004 Ed Hill <eh3@mit.edu> - 0:2.9.7-0.fdr.2
- removed unneeded %%ifarch

* Sat Jul 17 2004 Ed Hill <eh3@mit.edu> - 0:2.9.7-0.fdr.1
- Add %%post,%%postun

* Sat Jul 17 2004 Ed Hill <eh3@mit.edu> - 0:2.9.7-0.fdr.0
- Initial working version

